Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 61302 - kernel will not boot on UP with APIC support
kernel will not boot on UP with APIC support
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-16 14:19 EST by Chris Ricker
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-16 14:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-16 14:19:31 EST
I compiled 2.4.18-0.4 with CONFIG_X86_UP_APIC and CONFIG_X86_UP_IOAPIC enabled.
 The resulting kernel would not boot on a K6-III.  Kernel initialization failed
with the message "No Local APIC present".

In the past, I've always compiled APIC support, and it's worked on the machines
which support it and just been ignored on the machines which don't.  This is
also what the kernel documentation (Configure.help) says should happen.
Comment 1 Chris Ricker 2002-04-04 11:50:49 EST
I'm closing this -- later kernels haven't had this problem

Note You need to log in before you can comment on or make changes to this bug.